package com.bonus.canteen.core.account.v3.po;

import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@LeNiuDecryptDataProcess
@Data
public class AccInfoOpenPO {
   @ApiModelProperty("账户名称")
   @LeNiuDecryptField
   private String accName;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("第三方人员id")
   private String custThirdId;
   @ApiModelProperty("个人钱包余额 单位分")
   private Integer walletBal;
   @ApiModelProperty("补贴钱包余额 单位分")
   private Integer subsidyBal;
   @ApiModelProperty("红包余额")
   private Integer redEnvelope;
   @ApiModelProperty("账户余额(个人钱包+补贴钱包+红包) 单位分")
   private Integer accBal;
   @ApiModelProperty("账户状态 1正常  2冻结  3销户")
   private Integer accStatus;
   @ApiModelProperty("组织id")
   private Long orgId;
   @ApiModelProperty("组织名称")
   private String orgName;
   @ApiModelProperty("商户id")
   private Long tenantId;
   @ApiModelProperty("商户名称")
   private String tenantName;
   @ApiModelProperty("物理卡号")
   private String serialNum;
   @ApiModelProperty("人员编号")
   private String custNum;

   public String getAccName() {
      return this.accName;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustThirdId() {
      return this.custThirdId;
   }

   public Integer getWalletBal() {
      return this.walletBal;
   }

   public Integer getSubsidyBal() {
      return this.subsidyBal;
   }

   public Integer getRedEnvelope() {
      return this.redEnvelope;
   }

   public Integer getAccBal() {
      return this.accBal;
   }

   public Integer getAccStatus() {
      return this.accStatus;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public String getOrgName() {
      return this.orgName;
   }

   public Long getTenantId() {
      return this.tenantId;
   }

   public String getTenantName() {
      return this.tenantName;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public void setAccName(final String accName) {
      this.accName = accName;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustThirdId(final String custThirdId) {
      this.custThirdId = custThirdId;
   }

   public void setWalletBal(final Integer walletBal) {
      this.walletBal = walletBal;
   }

   public void setSubsidyBal(final Integer subsidyBal) {
      this.subsidyBal = subsidyBal;
   }

   public void setRedEnvelope(final Integer redEnvelope) {
      this.redEnvelope = redEnvelope;
   }

   public void setAccBal(final Integer accBal) {
      this.accBal = accBal;
   }

   public void setAccStatus(final Integer accStatus) {
      this.accStatus = accStatus;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setOrgName(final String orgName) {
      this.orgName = orgName;
   }

   public void setTenantId(final Long tenantId) {
      this.tenantId = tenantId;
   }

   public void setTenantName(final String tenantName) {
      this.tenantName = tenantName;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }




}
